package cn.com.ty.lift.business.emergency.service.impl;

import cn.com.ty.lift.business.emergency.entity.ErRecordImg;
import cn.com.ty.lift.business.emergency.mapper.ErRecordImgMapper;
import cn.com.ty.lift.business.emergency.service.ErRecordImgService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 临修图片 服务实现类
 * </p>
 *
 * @author wcz
 * @since 2019-12-04
 */
@Service
public class ErRecordImgServiceImpl extends ServiceImpl<ErRecordImgMapper, ErRecordImg> implements ErRecordImgService {

    @Override
    public List<ErRecordImg> findByErRecordId(Long erRecordId) {
        QueryWrapper<ErRecordImg> queryWrapper = new QueryWrapper<>();
        LambdaQueryWrapper<ErRecordImg> lambdaQueryWrapper = queryWrapper.lambda();
        lambdaQueryWrapper.eq(ErRecordImg::getErRecordId,erRecordId);
        List<ErRecordImg> lists = list(lambdaQueryWrapper);
        return lists;
    }
}
