package cn.com.ty.lift.business.library.dao.mapper;

import cn.com.ty.lift.business.library.dao.entity.Lift;
import cn.com.ty.lift.business.library.dao.entity.model.LiftRequest;
import cn.com.ty.lift.business.library.dao.entity.model.LiftResponse;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;


/**
 * @author bieao
 * @date 2019/11/27
 * @description 电梯档案数据层
 */
public interface LiftMapper extends BaseMapper<Lift> {

    IPage<LiftResponse> findByCondition(IPage<LiftResponse> page, @Param("request") LiftRequest request);

    IPage<LiftResponse> findLiftListByProjectId(IPage<LiftResponse> page, @Param("request") LiftRequest request);

    /**
     * @param registrationCode 电梯注册代码
     * @return 条数
     * @description 查询电梯是否存在
     * @date 2019/12/20 11:04 AM
     */
    Long findLiftExist(String registrationCode);

}