package cn.com.ty.lift.system.settings.service;

import cn.com.ty.lift.system.settings.dao.entity.MaintenanceCompany;
import cn.com.ty.lift.system.settings.dao.entity.model.MaintenanceCompanyRequest;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 维保公司 服务类
 * </p>
 *
 * @author huangy
 * @since 2019-12-09
 */
public interface IMaintenanceCompanyService extends IService<MaintenanceCompany> {

    /**
     * @description 分页获取团队信息
     * @date 2019-12-11 10:26
     * @param
     * @return
     */
    RestResponse list(MaintenanceCompanyRequest maintenanceCompanyRequest);

    /**
     * @description 申请团队
     * @date 2019-12-11 14:05
     * @param maintenanceCompanyRequest 申请团队信息
     * @return
     */
    RestResponse createTeam(MaintenanceCompanyRequest maintenanceCompanyRequest);

    /***
     * @description 更新团队信息
     * @date 2019-12-13 11:20
     * @param
     * @return
     */
    RestResponse updateMaintenanceCompany(MaintenanceCompanyRequest maintenanceCompanyRequest);

    /**
     * @description 获取用户团队信息
     * @date 2019-12-23 13:03
     * @param maintenanceCompanyRequest
     * @return
     */
    RestResponse ownList(MaintenanceCompanyRequest maintenanceCompanyRequest);
}
