package cn.com.ty.lift.system.user.service;

import cn.com.ty.lift.system.user.dao.entity.model.UserRequest;
import cn.com.xwy.boot.web.dto.RestResponse;

import javax.servlet.http.HttpServletRequest;

public interface ILoginService {

    /**
     * @description 用户注册
     * @date 2019/11/27 10:03 AM
     * @param userRequest  用户请求参数
     * @return
     */
    RestResponse register(UserRequest userRequest);

    /**
     * @description
     * @date 2019/11/27 10:03 AM
     * @param request
     * @param userRequest 用户请求参数，包括用户手机号，用户密码。
     * @return
     */
    RestResponse login(HttpServletRequest request, UserRequest userRequest);

    /**
     * @description 重置密码
     * @date 2019-12-10
     * @param userRequest 请求对象
     * @return
     */
    RestResponse resetPassword(UserRequest userRequest);

    /**
     * @description 切换团队
     * @date 2019-12-18 16:15
     * @param
     * @return
     */
    RestResponse changeTeam(UserRequest userRequest);
}
